INTERFACE
SUBROUTINE SPCSIAD(CDCONF,KM,KMLOC,KSTA,KEND,LDONEM,PSPAUXG,&
 & PSPVORG,PSPDIVG,PSPTG,PSPSPG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NSMAX
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KM
INTEGER(KIND=JPIM),INTENT(IN) :: KMLOC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDONEM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPAUXG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPVORG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDIVG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPTG(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPG(:)
END SUBROUTINE SPCSIAD
END INTERFACE
